def filenameFix(s):
    if nuke.env["MACOS"]:
        s = s.replace("//calculon/o/", "/Volumes/O/", 1)
        s = s.replace("//hades/p/", "/Volumes/P/", 1)
        s = s.replace("/Volumes/192.168.0.253/", "/Volumes/O/", 1)
        s = s.replace("/Volumes/192.168.0.251/", "/Volumes/P/", 1)
        s = s.replace("O:/", "/Volumes/O/", 1)
        s = s.replace("P:/", "/Volumes/P/", 1)
    else:
        s = s.replace("/Volumes/O/", "//calculon/o/", 1)
        s = s.replace("/Volumes/P/", "//hades/p/", 1)
        s = s.replace("O:/", "//calculon/o/", 1)
        s = s.replace("P:/", "//hades/p/", 1)
        s = s.replace("o:/", "//calculon/o/", 1)
        s = s.replace("p:/", "//hades/p/", 1)
    return s